#!/usr/bin/perl -w
################################################################################
# Windows to Linux Migration Toolkit
#-----------------------------------
# w2lmt.pm
# This perl module contains general purpose functions for the w2lmt scripts
#
# 2004-08-14  Christian B. Lahti <clahti@neomagic.com>
################################################################################
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

use strict;
package w2lmt;

use Exporter;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS %config);

@ISA = qw(Exporter);
$VERSION = 1.00;
@EXPORT = qw(
			 read_config_file
			 get_config_value
			 %config
			);
			
sub read_config_file {
    my $cf = shift;
	open (CFILE, "$cf") || die "Unable to open $cf for reading !\n";
	while (<CFILE>) {
        chomp($_);
		
        #kill comment lines and check for name/value pair
        next if ( /^\s*#/ || /^\s*$/ || /^\s*\;/);
        my ($param,$value)=get_config_value($_);
        $config{$param}=$value;
	}
	close (CFILE);
}

sub get_config_value {
	my $line=shift;
	## check for a param = value
	if ($_=~/=/) {
		my ($param,$val);
		if ($_=~/"/) {
			($param,$val) = /\s*(.*?)\s*=\s*"(.*)"/;
		} elsif ($_=~/'/) {
			($param,$val) = /\s*(.*?)\s*=\s*'(.*)'/;
		} else {
			($param,$val) = /\s*(.*?)\s*=\s*(.*)/;
		}
		return ($param,$val);
	}
}



1;
